Class | WSDL::SOAP::Fault
In: | wsdl/soap/fault.rb
Parent: | Info

### Methods

new parse_attr parse_element targetnamespace

### Attributes

encodingstyle | [R] |
name | [R] |
namespace | [R] |
use | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/soap/fault.rb, line 22
      def initialize
        super
        @name = nil
        @use = nil
        @encodingstyle = nil
        @namespace = nil
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/soap/fault.rb, line 38
      def parse_attr(attr, value)
        case attr
        when NameAttrName
          @name = XSD::QName.new(targetnamespace, value.source)
        when UseAttrName
          @use = value.source
        when EncodingStyleAttrName
          @encodingstyle = value.source
        when NamespaceAttrName
          @namespace = value.source
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/soap/fault.rb, line 34
      def parse_element(element)
        nil
      end

targetnamespace()

[Source]

    # File wsdl/soap/fault.rb, line 30
      def targetnamespace
        parent.targetnamespace
      end

[Validate]